{
  "schema_version": "1.4.0",
  "id": "GHSA-7gxp-rgh3-mj5p",
  "modified": "2022-05-17T02:37:54Z",
  "published": "2022-05-17T02:37:54Z",
  "aliases": [
    "CVE-2016-2195"
  ],
  "details": "Integer overflow in the PointGFp constructor in Botan before 1.10.11 and 1.11.x before 1.11.27 allows remote attackers to overwrite memory and possibly execute arbitrary code via a crafted ECC point, which triggers a heap-based buffer overflow.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2016-2195"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201612-38"
    },
    {
      "type": "WEB",
      "url": "http://botan.randombit.net/security.html"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=botan-devel&m=145435148602911&w=2"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2016/dsa-3565"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "CRITICAL",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2016-05-13T14:59:00Z"
  }
}